summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-10-12 19:22:20 +0000
committer Eric Hameleers <alien@slackware.com>2021-10-13 08:59:43 +0200
commit3e4907157f8f424eb08e8f8c53cd9250f85f6a53 (patch)
treef7f8c877c1cd577e8c24847de240b88384ae2a88 /source
parent6e28b639e2663f0309e7c87b030f5f216fa193db (diff)
downloadcurrent-3e4907157f8f424eb08e8f8c53cd9250f85f6a53.tar.gz
current-3e4907157f8f424eb08e8f8c53cd9250f85f6a53.tar.xz
Tue Oct 12 19:22:20 UTC 202120211012192220
a/kernel-firmware-20211012_b563148-noarch-1.txz: Upgraded. a/mkinitrd-1.4.11-x86_64-26.txz: Rebuilt. Don't include 40-usb_modeswitch.rules on the initrd. Thanks to LuckyCyborg. d/scons-4.2.0-x86_64-1.txz: Upgraded. l/python-charset-normalizer-2.0.7-x86_64-1.txz: Upgraded. xfce/mousepad-0.5.7-x86_64-2.txz: Rebuilt. Added plugins directory. Thanks to Roman Dyaba.
Diffstat (limited to 'source')
-rw-r--r--source/a/mkinitrd/0003-blacklist.40-usb_modeswitch.rules.patch10
-rwxr-xr-xsource/a/mkinitrd/mkinitrd.SlackBuild4
-rwxr-xr-xsource/d/scons/scons.SlackBuild34
-rwxr-xr-xsource/l/boost/boost.SlackBuild5
-rwxr-xr-xsource/l/python-charset-normalizer/python-charset-normalizer.SlackBuild2
-rwxr-xr-xsource/xfce/mousepad/mousepad.SlackBuild11
6 files changed, 44 insertions, 22 deletions
diff --git a/source/a/mkinitrd/0003-blacklist.40-usb_modeswitch.rules.patch b/source/a/mkinitrd/0003-blacklist.40-usb_modeswitch.rules.patch
new file mode 100644
index 000000000..86f496e8d
--- /dev/null
+++ b/source/a/mkinitrd/0003-blacklist.40-usb_modeswitch.rules.patch
@@ -0,0 +1,10 @@
+--- ./mkinitrd.orig 2021-10-12 13:50:48.059708275 -0500
++++ ./mkinitrd 2021-10-12 13:51:36.482705596 -0500
+@@ -69,6 +69,7 @@
+ check-mtp-device \
+ check-ptp-camera \
+ udev-configure-printer \
++ rules.d/40-usb_modeswitch.rules \
+ rules.d/60-openobex.rules \
+ rules.d/73-seat-late.rules \
+ rules.d/85-regulatory.rules \
diff --git a/source/a/mkinitrd/mkinitrd.SlackBuild b/source/a/mkinitrd/mkinitrd.SlackBuild
index 58dc341de..6b5070396 100755
--- a/source/a/mkinitrd/mkinitrd.SlackBuild
+++ b/source/a/mkinitrd/mkinitrd.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mkinitrd
VERSION=${VERSION:-1.4.11}
BB=1.32.1
-BUILD=${BUILD:-25}
+BUILD=${BUILD:-26}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -122,6 +122,8 @@ chmod 755 $PKG/sbin/mkinitrd
( cd $PKG/sbin ; zcat $CWD/mkinitrd.tempfile.to.mktemp.patch.gz | patch --verbose || exit 1) || exit 1
# Patch mkinitrd to bail on no temp directory:
( cd $PKG/sbin ; zcat $CWD/0002-bail-if-temp-dir-is-not-created.patch.gz | patch -p1 --verbose || exit 1) || exit 1
+# Don't include 40-usb_modeswitch.rules on the initrd:
+( cd $PKG/sbin ; zcat $CWD/0003-blacklist.40-usb_modeswitch.rules.patch.gz | patch -p1 --verbose || exit 1) || exit 1
rm -f $PKG/sbin/mkinitrd.orig
mkdir -p $PKG/usr/man/man{5,8}
diff --git a/source/d/scons/scons.SlackBuild b/source/d/scons/scons.SlackBuild
index ec0d5a8ad..bc12ba5fe 100755
--- a/source/d/scons/scons.SlackBuild
+++ b/source/d/scons/scons.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2015, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2015, 2018, 2020, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# Copyright 2015 Heinz Wiesinger, Amsterdam, The Netherlands
# All rights reserved.
#
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=scons
VERSION=${VERSION:-$(echo scons-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -87,6 +87,12 @@ rm -f $PKG/usr/bin/*.bat
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Relocate manual pages:
+if [ -r $PKG/usr/scons.1 ]; then
+ mkdir -p $PKG/usr/man/man1
+ mv $PKG/usr/*.1 $PKG/usr/man/man1
+fi
+
# Compress manual pages:
find $PKG/usr/man -type f -exec gzip -9 {} \+
for i in $( find $PKG/usr/man -type l ) ; do
@@ -94,18 +100,18 @@ for i in $( find $PKG/usr/man -type l ) ; do
rm $i
done
-# For some reason, SCons no longer ships a man page. If there is not a man page
-# present, install the last known version. It's better than nothing.
-if [ ! -r $PKG/usr/man/man1/scons.1.gz ]; then
- mkdir -p $PKG/usr/man/man1
- cp -a $CWD/scons.1.gz $PKG/usr/man/man1
- chown root:root $PKG/usr/man/man1/scons.1.gz
- chmod 644 $PKG/usr/man/man1/scons.1.gz
-else
- echo "ERROR: actually found scons man page! Please comment out the section of"
- echo "the build script that tries to install it, and delete the old man page."
- exit 1
-fi
+## For some reason, SCons no longer ships a man page. If there is not a man page
+## present, install the last known version. It's better than nothing.
+#if [ ! -r $PKG/usr/man/man1/scons.1.gz ]; then
+# mkdir -p $PKG/usr/man/man1
+# cp -a $CWD/scons.1.gz $PKG/usr/man/man1
+# chown root:root $PKG/usr/man/man1/scons.1.gz
+# chmod 644 $PKG/usr/man/man1/scons.1.gz
+#else
+# echo "ERROR: actually found scons man page! Please comment out the section of"
+# echo "the build script that tries to install it, and delete the old man page."
+# exit 1
+#fi
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/
cp -a \
diff --git a/source/l/boost/boost.SlackBuild b/source/l/boost/boost.SlackBuild
index 69484ce80..27e7f36b6 100755
--- a/source/l/boost/boost.SlackBuild
+++ b/source/l/boost/boost.SlackBuild
@@ -72,8 +72,8 @@ else
LIBDIRSUFFIX=""
fi
-PYTHON_VERSION=$(python -c 'import sys; print(sys.version[:3])')
-PYTHON3_VERSION=$(python3 -c 'import sys; print(sys.version)' | cut -f 1,2 -d .)
+PYTHON_VERSION=$(python2 -c 'import sys; print("{}.{}".format(sys.version_info.major, sys.version_info.minor))')
+PYTHON3_VERSION=$(python3 -c 'import sys; print("{}.{}".format(sys.version_info.major, sys.version_info.minor))')
TMP=${TMP:-/tmp}
PKG=$TMP/package-boost
@@ -195,4 +195,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n /tmp/boost-$PKG_VERSION-$ARCH-$BUILD.txz
-
diff --git a/source/l/python-charset-normalizer/python-charset-normalizer.SlackBuild b/source/l/python-charset-normalizer/python-charset-normalizer.SlackBuild
index 08b3d62c1..b263f1596 100755
--- a/source/l/python-charset-normalizer/python-charset-normalizer.SlackBuild
+++ b/source/l/python-charset-normalizer/python-charset-normalizer.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python-charset-normalizer
SRCNAM=charset-normalizer
VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
diff --git a/source/xfce/mousepad/mousepad.SlackBuild b/source/xfce/mousepad/mousepad.SlackBuild
index a2dd7f3ac..fafca18f2 100755
--- a/source/xfce/mousepad/mousepad.SlackBuild
+++ b/source/xfce/mousepad/mousepad.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2020, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mousepad
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -100,13 +100,18 @@ CXXFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Create plugins directory:
+if [ ! -d $PKG/usr/lib${LIBDIRSUFFIX}/mousepad/plugins ]; then
+ mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/mousepad/plugins
+fi
+
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-# Compress man pages
+# Compress man pages:
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done